import * as webpack from 'webpack';
export declare namespace WPPlugin {
    /**
     * A WebPack Plugin that copies the assets to the static directory
     */
    class FrontEndPlugin {
        constructor(buildDir: string, staticDir: string);
        apply(compiler: any): void;
        buildDir: string;
        staticDir: string;
        private _first;
    }
    /**
     * A WebPack Plugin that ignores files that are filtered by a callback
     */
    class FilterIgnorePlugin extends webpack.IgnorePlugin {
        constructor(ignored: (path: string) => boolean);
        checkIgnore(result: any): any | null;
        ignored: (path: string) => boolean;
    }
    /**
     * A WebPack Plugin that ignores files files that are filtered
     * by a callback during a `--watch` build
     */
    class FilterWatchIgnorePlugin {
        constructor(ignored: (path: string) => boolean);
        apply(compiler: any): void;
        ignored: (path: string) => boolean;
    }
}
